<script setup lang="ts">
import { useAuthStore } from '@/stores/auth'
import { inject, type Ref } from 'vue'

const drawer = inject<Ref<boolean>>('drawer')
const rail = inject<Ref<boolean>>('rail')
const authStore = useAuthStore()
</script>

<template>
  <v-navigation-drawer v-model="drawer" :rail="rail" permanent @click="rail = false">
    <v-list-item prepend-avatar="https://randomuser.me/api/portraits/men/85.jpg" nav>
      <template #title>
        {{ 'ID: ' + (authStore.getCurrentUser()?.id || '') }}<br />
        {{ 'Name: ' + (authStore.getCurrentUser()?.fullName || '') }}<br />
        {{ 'Role: ' + (authStore.getCurrentUser()?.position || '') }}
      </template>

      <template v-slot:append>
        <v-btn variant="text" icon="mdi-chevron-left" @click.stop="rail = !rail"></v-btn>
      </template>
    </v-list-item>

    <v-divider></v-divider>
    <v-list density="compact" nav>
      <v-list-item prepend-icon="mdi-book" title="Point of Sell" value="pos" :to="{ name: 'pos' }"></v-list-item>
      <v-list-item prepend-icon="mdi-home-city" title="Home" value="home" :to="{ name: 'home' }"></v-list-item>
      <v-list-item prepend-icon="mdi-account" title="Users" value="users" :to="{ name: 'users' }"></v-list-item>
      <v-list-item prepend-icon="mdi-account" title="Members" value="member" :to="{ name: 'member' }"></v-list-item>
      <v-list-item prepend-icon="mdi-cash" title="Salary" value="salary" :to="{ name: 'salary' }"></v-list-item>
      <v-list-item prepend-icon="mdi-gift" title="Product" value="product" :to="{ name: 'product' }"></v-list-item>
      <v-list-item prepend-icon="mdi-cart-variant" title="Order" value="order" :to="{ name: 'order' }"></v-list-item>
      <v-list-item prepend-icon="mdi-console" title="Expenses" value="expenses"
        :to="{ name: 'expenses' }"></v-list-item>
      <v-list-item prepend-icon="mdi mdi-package-variant-closed" title="Stock" value="stock"
        :to="{ name: 'stock' }"></v-list-item>
      <v-list-item prepend-icon="mdi-logout-variant" title="Checkwork" value="checkwork"
        :to="{ name: 'checkwork' }"></v-list-item>
      <v-list-item prepend-icon="mdi-logout-variant" title="checkworkmanager" value="checkwork"
        :to="{ name: 'checkworkmanager' }"></v-list-item>
      <v-list-item prepend-icon="mdi-information-variant-circle" title="About" value="about"
        :to="{ path: '/about' }"></v-list-item>
      <v-list-item prepend-icon="mdi-thermometer" title="Temperature" value="temperature"
        :to="{ path: '/temperature' }"></v-list-item>
      <!-- <v-list-item prepend-icon="mdi-login" title="Login" value="login" :to="{ path: '/login' }"></v-list-item> -->
      <v-list-item prepend-icon="mdi-logout" title="Logout" value="logout" @click="authStore.logout()"></v-list-item>
      <v-list-item prepend-icon="mdi-sale-outline" title="Promotion" value="promotion"
        :to="{ path: '/promotion' }"></v-list-item>
      <v-list-item prepend-icon="mdi-source-branch" title="Branch" value="branch"
        :to="{ path: '/branch' }"></v-list-item>
      <v-list-item prepend-icon="mdi-chart-bar" title="Report" value="report" :to="{ path: '/report' }"></v-list-item>
      <v-list-item prepend-icon="mdi-chart-pie" title="Pie" value="report2" :to="{ path: '/report2' }"></v-list-item>
    </v-list>
  </v-navigation-drawer>
</template>
